<!--
 * @Description: 专项养护工程计量支付汇总统计
 * @Author: @liulin
 * @Date: 2023-03-24 16:38:19
 * @LastEditors: Do not edit
 * @LastEditTime: 2023-03-26 15:32:18
-->
<template>
    <TableConfig :configData="configData" />
</template>

<script>
import TableConfig from './components/TableConfig.vue'
import utils from '@/utils' // thousandBit格式化千分位
const BigNumber = require('bignumber.js')
export default {
    name: 'dailyMainEngPayStatistics',
    components: {
        TableConfig,
    },
    data() {
        return {
            configData: {
                table: [
                    {
                        label: '路段名称',
                        value: 'roadName',
                    },
                    {
                        label: '计量总金额(万元)',
                        value: 'payMoney',
                        format: true,
                        count: (val) => parseFloat(val.toFixed(2)),
                    },
                    {
                        label: '计量比例',
                        value: 'payRate',
                        format: true,
                        count: (val) => new BigNumber(val).times(100) + '%',
                    },
                    {
                        label: '项目总数',
                        value: 'projectCount',
                        format: true,
                        count: (val) => utils.thousandBit(val),
                    },
                    {
                        label: '项目总金额(万元)',
                        value: 'projectMoney',
                        format: true,
                        count: (val) => parseFloat(val.toFixed(2)),
                    },
                ],
                api: 'bizEngineeringProject/v1/projectMoneyReport',
            },
        }
    },
}
</script>
<style lang="scss"></style>
